%define anolis_release 2

%define debug_package %{nil}
%define product_family Anolis OS
%define base_release_version 8
%define dist .an%{base_release_version}

Name:           secto
Version:        %{base_release_version}
Release:        %{anolis_release}%{?dist}
Summary:        %{product_family} %{base_release_version} Security updates takeover service for CentOS %{base_release_version}
Group:          System Environment/Base
License:        MulanPSLv2
Conflicts:      anolis-release
Conflicts:      anolis-gpg-keys
Provides:       secto = %{base_release_version}
Requires:       centos-linux-release >= %{base_release_version}

Source0:    AnolisOS-Secto.repo
Source1:    MulanPSL
Source2:	RPM-GPG-KEY-ANOLIS
Source3:	secto
Source4:    motd
Source5:    EULA

%description
Security updates takeover service for CentOS %{base_release_version} Linux, provided by
%{product_family} %{base_release_version}.

%prep
cp %{SOURCE1} %{SOURCE5} .

%build
echo OK

%install
rm -rf %{buildroot}

# create necessary dirs
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/etc/pki/rpm-gpg/
mkdir -p %{buildroot}/etc/yum.repos.d/
mkdir -p %{buildroot}/etc/motd.d/
mkdir -p %{buildroot}%{_bindir}/

# install repo file
install -m 0644 %{SOURCE0} %{buildroot}/etc/yum.repos.d/

# create /etc/anolis-secto
echo "%{product_family} %{base_release_version} Security Updates Takeover" > %{buildroot}/etc/anolis-secto

# copy GPG keys
install -m 644 %{SOURCE2} %{buildroot}/etc/pki/rpm-gpg

# install binary
install -m 755 %{SOURCE3} %{buildroot}%{_bindir}/

# update motd
install -m644 %{SOURCE4} %{buildroot}/etc/motd.d/secto

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/secto
/etc/anolis-secto
%config(noreplace) /etc/yum.repos.d/AnolisOS-Secto.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-ANOLIS
/etc/motd.d/secto
%doc MulanPSL EULA
%license MulanPSL

%changelog
* Tue Dec 28 2021 Jacob Wang <jacob.wang@openanolis.org> - 8-2
- Initial version for secto
